ru.bitel.bgbilling.modules.sorm.common.bean

## Class ServiceSorm

- java.lang.Object
- - ru.bitel.bgbilling.modules.sorm.common.bean.ServiceSorm

-     public class ServiceSorm
      extends java.lang.Object

  Обвзяка класса Service для отображения в таблице услуг вместе с возможностью выбора для выгрузки

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceSorm()`
    `ServiceSorm(Service service, boolean isSelected)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `int` | `getId()`
    `int` | `getModuleId()`
    `java.lang.String` | `getTitle()`
    `boolean` | `getUsing()`
    `boolean` | `isInetServiceType()`
    `boolean` | `isPhoneServiceType()`
    `boolean` | `isSelected()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setId(int id)`
    `void` | `setInetServiceType(boolean inetServiceType)`
    `void` | `setModuleId(int moduleId)`
    `void` | `setPhoneServiceType(boolean phoneServiceType)`
    `void` | `setSelected(boolean selected)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setUsing(boolean used)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceSorm

          public ServiceSorm()

    - #### ServiceSorm

          public ServiceSorm(Service service,
                             boolean isSelected)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getModuleId

          public int getModuleId()

    - #### setModuleId

          public void setModuleId(int moduleId)

    - #### getUsing

          public boolean getUsing()

    - #### setUsing

          public void setUsing(boolean used)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)

    - #### isInetServiceType

          public boolean isInetServiceType()

    - #### setInetServiceType

          public void setInetServiceType(boolean inetServiceType)

    - #### isPhoneServiceType

          public boolean isPhoneServiceType()

    - #### setPhoneServiceType

          public void setPhoneServiceType(boolean phoneServiceType)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)